/*!
 * Beetan Theme
 *
 * Author: StorePress ( StorePressHQ@gmail.com )
 * Date: 8/14/2022, 2:40:38 PM
 * Released under the GPLv3 license.
 */
/******/ (function() { // webpackBootstrap
var __webpack_exports__ = {};
/* global wp, jQuery */

/**
 * File customizer.js.
 *
 * Theme Customizer enhancements for a better user experience.
 *
 * Contains handlers to make Theme Customizer preview reload changes asynchronously.
 */
(function ($) {
  // Site title and description.
  wp.customize('blogname', function (value) {
    value.bind(function (to) {
      $('.site-title a').text(to);
    });
  }); // Site Description

  wp.customize('blogdescription', function (value) {
    value.bind(function (to) {
      $('.site-description').text(to);
    });
  }); // Set Base font size

  wp.customize('site_container_width', function (value) {
    value.bind(function (to) {
      document.documentElement.style.setProperty('--site-container-width', to + 'px');
    });
  }); // Set Base font size

  wp.customize('body_font_size', function (value) {
    value.bind(function (to) {
      document.documentElement.style.setProperty('--body-font-size', to);
    });
  }); // Theme color

  wp.customize('primary_color', function (value) {
    value.bind(function (to) {
      document.documentElement.style.setProperty('--primary-color', to);
    });
  }); // Body font color

  wp.customize('text_color', function (value) {
    value.bind(function (to) {
      document.documentElement.style.setProperty('--text-color', to);
    });
  }); // Heading font color

  wp.customize('heading_color', function (value) {
    value.bind(function (to) {
      document.documentElement.style.setProperty('--heading-color', to);
    });
  }); // Sub Heading font color

  wp.customize('sub_heading_color', function (value) {
    value.bind(function (to) {
      document.documentElement.style.setProperty('--sub-heading-color', to);
    });
  }); // Link color

  wp.customize('link_color', function (value) {
    value.bind(function (to) {
      document.documentElement.style.setProperty('--link-color', to);
    });
  }); // Link hover color

  wp.customize('link_hover_color', function (value) {
    value.bind(function (to) {
      document.documentElement.style.setProperty('--link-hover-color', to);
    });
  });
})(jQuery);
/******/ })()
;