<?php
/**
 * Template part for displaying page content in page.php
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Beetan
 */

$hide_title = get_post_meta( get_the_ID(), 'beetan_hide_title', true );
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<?php beetan_post_thumbnail(); ?>

	<?php if ( '1' !== $hide_title ) { ?>
        <header class="entry-header">
			<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>
        </header><!-- .entry-header -->
	<?php } ?>

    <div class="entry-content">
		<?php
		the_content();

		wp_link_pages(
			array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'beetan' ),
				'after'  => '</div>',
			)
		);
		?>
    </div><!-- .entry-content -->

	<?php if ( current_user_can( 'edit_post', get_the_ID() ) ) { ?>
        <footer class="entry-footer">
			<?php beetan_post_edit_link(); ?>
        </footer><!-- .entry-footer -->
	<?php } ?>
</article><!-- #post-<?php the_ID(); ?> -->